<?xml version="1.0" encoding="UTF-8"?>

<mule xmlns:http="http://www.mulesoft.org/schema/mule/http" xmlns="http://www.mulesoft.org/schema/mule/core"
	xmlns:doc="http://www.mulesoft.org/schema/mule/documentation"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.mulesoft.org/schema/mule/core http://www.mulesoft.org/schema/mule/core/current/mule.xsd
http://www.mulesoft.org/schema/mule/http http://www.mulesoft.org/schema/mule/http/current/mule-http.xsd">

	<flow name="munitBasicsFlows" doc:id="6734653c-030c-4290-b937-ed24024248ef" >
		<http:listener doc:name="Listener" doc:id="4c36c191-2013-4253-8b75-01963785d46c" config-ref="HTTP_Listener_configs" path="/munit/{myparam}"/>
		<set-variable value="#[attributes.uriParams.myparam]" doc:name="Set Variable" doc:id="a78516d7-75f4-40d7-a744-aede0b8c0c4d" variableName="my_variable"/>
		<flow-ref doc:name="Flow Reference" doc:id="f9c912f2-95f4-4dc5-87c3-2d52e4aee8eb" name="munitBasicsSub_Flows"/>
	</flow>
	<sub-flow name="munitBasicsSub_Flows" doc:id="89ab0dec-3ccb-41b8-b5a7-c29b3fa7bbaf" >
		<choice doc:name="Choice" doc:id="4df98f90-6ab0-441c-aeee-14645a562ccd">
			<when expression="#[vars.my_variable == 'var_1']">
				<set-payload value="#['Response1']" doc:name="Set Payload" doc:id="7044e131-6ba2-4318-aff8-a0730ae2ddba" mimeType="text/plain" encoding="UTF-8"/>
			</when>
			<otherwise>
				<set-payload value="#['Response2']" doc:name="Set Payload" doc:id="d69bb1bc-bb86-4049-b61c-cfdf71af46b5" mimeType="text/plain" encoding="UTF-8"/>
			</otherwise>
		</choice>
	</sub-flow>
</mule>
